Skip to main content
POST
/
api
/
session
/
{sessionID}
/
shell
Run shell command
curl --request POST \
  --url https://api.example.com/api/session/{sessionID}/shell \
  --header 'Content-Type: application/json' \
  --data '
{
  "command": "<string>",
  "id": "<string>"
}
'
import requests

url = "https://api.example.com/api/session/{sessionID}/shell"

payload = {
"command": "<string>",
"id": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({command: '<string>', id: '<string>'})
};

fetch('https://api.example.com/api/session/{sessionID}/shell', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "_tag": "InvalidRequestError",
  "message": "<string>",
  "kind": "<string>",
  "field": "<string>"
}
{
"_tag": "UnauthorizedError",
"message": "<string>"
}
{
"_tag": "SessionNotFoundError",
"sessionID": "<string>",
"message": "<string>"
}

Path Parameters

sessionID
string
required
Pattern: ^ses

Body

application/json
command
string
required
id
string | null
Pattern: ^evt_

Response